{% load i18n %}
<div class="col-md-4 offset-md-4">
    {% if request.user.is_authenticated %}
    <form enctype="multipart/form-data" method="post" action="{% url "newsletter_subscribe_confirm" instance.newsletter.slug %}">
        <div class="form-group">
            {% csrf_token %}
            <input class="btn btn-primary text-center m-4" id="id_submit" name="submit" value="{% trans "Subscribe" %}" type="submit" />
        </div>
    </form>
    {% else %}
    <form enctype="multipart/form-data" method="post" action="{% url 'newsletter_subscribe_request' instance.newsletter.slug %}">
        <div class="form-group">
            {% csrf_token %}
            <input class="form-control mb-3" type="text" name="name_field" maxlength="30" id="id_name_field" placeholder="{% trans 'Name (optional)' %}">
            <div class="input-group">
                <input class="form-control" type="email" name="email_field" required id="id_email_field" placeholder="{% trans 'Email' %}">
                <div class="input-group-append">
                    <input class="btn btn-primary" id="id_submit" name="submit" value="{% trans "Subscribe" %}" type="submit" />    
                </div>
            </div>
        </div>
    </form>
    {% endif %}    
</div>
